gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.HarfBuzz.Structs.ShapePlanT

Contents

- Exported types
- Methods

Description

Data type for holding a shaping plan.

Shape plans contain information about how HarfBuzz will shape a particular text segment, based on the segment's properties and the capabilities in the font face in use.

Shape plans can be queried about how shaping will perform, given a set of specific input parameters (script, language, direction, features, etc.).

Synopsis

- newtype ShapePlanT = ShapePlanT (ManagedPtr ShapePlanT)

# Exported types

newtype ShapePlanT Source #

Memory-managed wrapper type.

Constructors

ShapePlanT (ManagedPtr ShapePlanT) |

#### Instances

Instances details

Eq ShapePlanT Source # |
Instance details Defined in GI.HarfBuzz.Structs.ShapePlanT Methods (==) :: ShapePlanT -> ShapePlanT -> Bool Source # (/=) :: ShapePlanT -> ShapePlanT -> Bool Source #
GBoxed ShapePlanT Source # |
Instance details Defined in GI.HarfBuzz.Structs.ShapePlanT
ManagedPtrNewtype ShapePlanT Source # |
Instance details Defined in GI.HarfBuzz.Structs.ShapePlanT Methods toManagedPtr :: ShapePlanT -> ManagedPtr ShapePlanT Source #
TypedObject ShapePlanT Source # |
Instance details Defined in GI.HarfBuzz.Structs.ShapePlanT Methods glibType :: IO GType Source #
HasParentTypes ShapePlanT Source # |
Instance details Defined in GI.HarfBuzz.Structs.ShapePlanT
IsGValue (Maybe ShapePlanT) Source # | Convert `ShapePlanT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.ShapePlanT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ShapePlanT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ShapePlanT) Source #
type ParentTypes ShapePlanT Source # |
Instance details Defined in GI.HarfBuzz.Structs.ShapePlanT type ParentTypes ShapePlanT = '[] :: [Type]

# Methods